Skip to content

# Inbound

### Structure

    {
      "inbounds": [
        {
          "type": "",
          "tag": ""
        }
      ]
    }

### Fields

Type | Format | Injectable
--- | --- | ---
`direct` | Direct |
`mixed` | Mixed | TCP
`socks` | SOCKS | TCP
`http` | HTTP | TCP
`shadowsocks` | Shadowsocks | TCP
`vmess` | VMess | TCP
`trojan` | Trojan | TCP
`naive` | Naive |
`hysteria` | Hysteria |
`shadowtls` | ShadowTLS | TCP
`tuic` | TUIC |
`hysteria2` | Hysteria2 |
`vless` | VLESS | TCP
`anytls` | AnyTLS | TCP
`tun` | Tun |
`redirect` | Redirect |
`tproxy` | TProxy |

#### tag

The tag of the inbound.